﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomTemplateColumn.aspx.cs" Inherits="GridTemplateSample.CustomTemplateColumn" %>

<%@ Register Assembly="Infragistics35.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
    <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" runat="server" Height="380px"
            Width="100%" DataKeyFields="Id" AutoGenerateColumns="False" 
            onrowislanddatabinding="WebHierarchicalDataGrid1_RowIslandDataBinding" 
            >

            <GroupingSettings EnableColumnGrouping="true" InitialRowExpandState="Collapsed">
            </GroupingSettings>

            <Columns>
                <ig:BoundDataField DataFieldName="Id" Hidden="true" Key="Id" />
                <ig:BoundDataField DataFieldName="EmployeeId" Hidden="true" Key="EmployeeId" />
                <ig:BoundDataField DataFieldName="Name" Key="Name">
                    <Header Text="Name" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="EntitlementId" Hidden="true" Key="EntitlementId" />
                <ig:BoundDataField DataFieldName="Entitlement" Key="Entitlement" >
                    <Header Text="Entitlement" />
                </ig:BoundDataField>
                <ig:TemplateDataField Key="action">
                    <Header Text="Action" />
                    <ItemTemplate>
                        <asp:RadioButtonList ID="RadioButtonList1" runat="server" RepeatLayout="Flow" RepeatDirection="Horizontal">
                            <asp:ListItem Text="Approve" Value="1"></asp:ListItem>
                            <asp:ListItem Text="Remove" Value="0"></asp:ListItem>
                        </asp:RadioButtonList>
                    </ItemTemplate>
                </ig:TemplateDataField>
                <ig:TemplateDataField Key="test">
                    <Header Text="test" />
                </ig:TemplateDataField>
            </Columns>

            <Behaviors>
                <ig:Selection Enabled="true" CellClickAction="Row" RowSelectType="Single" />
                <ig:Activation>
                </ig:Activation>
                <ig:Filtering Enabled="true" EnableInheritance="true">
                </ig:Filtering>
            </Behaviors>
            <ig:GroupingSettings EnableColumnGrouping="true" GroupAreaVisibility="Visible" />

        </ig:WebHierarchicalDataGrid>
    </div>
    </form>
</body>
</html>
