﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using GARSGridPrototype.Lib;
using Infragistics.Web.UI.GridControls;

namespace GridTemplateSample
{
    public partial class CustomTemplateColumn : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            WebHierarchicalDataGrid1.DataSource = new TestData().GetAllEmployees();
        }
        protected void WebHierarchicalDataGrid1_RowIslandDataBinding(object sender, RowIslandEventArgs e)
        {
            TemplateDataField templateColumn = (TemplateDataField)this.WebHierarchicalDataGrid1.Columns["action"];
            ITemplate template = new ActionItemTemplate();
            templateColumn.ItemTemplate = template;

            #region create templatre column in code
            //parent band
            //if (e.RowIsland.DataMember == "")
            //{
            //    if (!IsPostBack)
            //    {
            //        TemplateDataField field1 = new TemplateDataField();
            //        field1.Key = "TemplateColumn1";
            //        field1.Header.Text = "Edit";

            //        this.WebHierarchicalDataGrid1.Columns.Add(field1);

            //        //get reference to the template column
            //        TemplateDataField templateColumn1 = (TemplateDataField)this.WebHierarchicalDataGrid1.Columns["TemplateColumn1"];
            //        ITemplate template = new ActionItemTemplate();
            //        //templateColumn1.ItemTemplate = template;
            //    }
            //}

            //// Child Level
            //if (e.RowIsland.DataMember == ""
            //     && e.RowIsland.ParentRow == this.WebHierarchicalDataGrid1.GridView.Rows[0]
            //     && this.WebHierarchicalDataGrid1.Bands.Count > 0)
            //{
            //    TemplateDataField field2 = new TemplateDataField();
            //    field2.Key = "ChildTemplateColumn1";
            //    field2.Header.Text = "Edit";
            //    this.WebHierarchicalDataGrid1.Bands[0].Columns.Add(field2);

            //    TemplateDataField templateColumn2 = (TemplateDataField)this.WebHierarchicalDataGrid1.Bands[0].Columns["ChildTemplateColumn1"];
            //    templateColumn2.ItemTemplate = new ActionChildItemTemplate();
            //}
            #endregion
        }
    }

    public class ActionItemTemplate : ITemplate
    {
        #region ITemplate Members

        public void InstantiateIn(Control container)
        {
            LinkButton edit = new LinkButton();
            edit.CssClass = "LinkButton";
            edit.Text = "Edit";
            edit.OnClientClick = "alert('edit');//return editRow()";

            container.Controls.Add(edit);
        }

        #endregion
    }
    public class ActionChildItemTemplate : ITemplate
    {
        #region ITemplate Member
        public void InstantiateIn(Control container)
        {
            LinkButton edit = new LinkButton();
            edit.CssClass = "LinkButton";
            edit.Text = "Edit";
            edit.OnClientClick = "return editChildRow()";
            container.Controls.Add(edit);
        }
        #endregion
    }

}