﻿using Infragistics.Web.UI.GridControls;

namespace GARSGridPrototype.Lib
{
    public class Employee
    {
        public int Id { get; set; }
        public int EmployeeId { get; set; }
        public string Name { get; set; }
        public int EntitlementId { get; set; }
        public string Entitlement { get; set; }
        //public string Entitlement1 { get; set; }
        //public string Entitlement2 { get; set; }
    }

    public class Entitlement
    {
        public string Name { get; set; }

        public override string ToString()
        {
            return Name;
        }
    }

    public class AlphabetGroupComparer : GroupEqualityComparer<string>
    {
        public override bool Equals(string x, string y)
        {
            if (x.Substring(0, 1).ToLower() == y.Substring(0, 1).ToLower())
                return true;
            return false;
        }

        public override string GroupName(string value)
        {
            if (value.Length == 0)
                return string.Empty;
            return value.Substring(0, 1).ToUpper();
        }
    }

}